MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028466Open CASCADE[OCCT] OCCT:Visualizationpublic2017-02-16 23:552017-09-29 16:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028466: Visualization, OpenGl_Context - read GPU memory using WGL_AMD_gpu_association extension
DescriptionSince Catalyst drivers do not provide GL_ATI_meminfo extension anymore, it might be useful to read at least total GPU memory size using WGL_AMD_gpu_association.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0063860)
git (administrator)
2017-02-17 00:27

Branch CR28466 has been created by kgv.

SHA-1: e1c075f7b990c31a38ae72a4da45b42f125fea63


Detailed log of new commits:

Author: kgv
Date: Fri Feb 17 00:24:17 2017 +0300

    0028466: Visualization, OpenGl_Context - read GPU memory using WGL_AMD_gpu_association extension
(0063861)
kgv (developer)
2017-02-17 00:27

Patch is ready for review.
(0063978)
san (developer)
2017-02-23 14:50

Branch CR28466 reviewed without remarks, ready for testing.
(0064020)
apv (tester)
2017-02-28 11:44

Dear BugMaster,

Branch CR28466 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: e1c075f7b990c31a38ae72a4da45b42f125fea63

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1193

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92988227 / 93188114 [-0.21%]
Total CPU difference: 19890.310000000143 / 19801.800000000218 [+0.45%]

Testing on Windows:
Total MEMORY difference: 57832551 / 57829936 [+0.00%]
Total CPU difference: 18620.107758898608 / 18793.846072598604 [-0.92%]
(0064480)
git (administrator)
2017-03-20 14:34

Branch CR28466 has been deleted by inv.

SHA-1: e1c075f7b990c31a38ae72a4da45b42f125fea63

- Related Changesets
occt: master 2eacd0b8
Timestamp: 2017-02-16 21:24:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028466: Visualization, OpenGl_Context - read GPU memory using WGL_AMD_gpu_association extension
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-16 23:55 kgv New Issue
2017-02-16 23:55 kgv Assigned To => kgv
2017-02-17 00:27 git Note Added: 0063860
2017-02-17 00:27 kgv Note Added: 0063861
2017-02-17 00:27 kgv Assigned To kgv => san
2017-02-17 00:27 kgv Status new => resolved
2017-02-23 14:50 san Note Added: 0063978
2017-02-23 14:50 san Assigned To san => bugmaster
2017-02-23 14:50 san Status resolved => reviewed
2017-02-27 14:27 apv Assigned To bugmaster => apv
2017-02-28 10:51 apv Test case number => Not needed
2017-02-28 11:44 apv Note Added: 0064020
2017-02-28 11:44 apv Assigned To apv => bugmaster
2017-02-28 11:44 apv Status reviewed => tested
2017-03-03 16:25 bugmaster Changeset attached => occt master 2eacd0b8
2017-03-03 16:25 bugmaster Status tested => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-20 14:34 git Note Added: 0064480
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker